text stringlengths 2.5k 6.39M | kind stringclasses 3
values |
|---|---|
# Copyright (C) 2019 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | the_stack |
set -e
shopt -s dotglob
sudo chown -R ${USER_NAME}:${USER_NAME} \
/home/${USER_NAME} \
/usr/local/var/run \
/var/run /var/run/ \
/var/log \
/tmp/php \
$LOG_PATH
shopt -u dotglob
# Get the container IP
CONTAINER_IP=`ifconfig eth0 | grep 'inet addr' | cut -d: -f2 | awk '{... | the_stack |
set -o errexit
set -o nounset
set -o pipefail
RED='\033[0;31m'
GREEN='\033[0;32m'
YELLOW='\033[0;33m'
NC='\033[0m'
function log() {
echo
echo -e "➡ ${GREEN}${1}${NC}"
echo
}
function log_success() {
echo
echo -e "✅ ${GREEN}${1}${NC}"
echo
}
function log_warn() {
echo
echo -e "⚠️ ${YELLOW}${1}${NC}"
... | the_stack |
# Sanity test command line tools -
# vcf2genomicsdb_init
# vcf2genomicsdb
# gt_mpi_gather
# $1 contains the test vcfs - t0.vcf.gz, t1.vcf.gz and t2.vcf.gz
if [[ $# -ne 2 ]]; then
echo "Usage: ./test_tools.sh <vcfs_dir> <install_dir>"
echo "<vcf_dir> can be a local or remote directory containing the test vc... | the_stack |
set -e
[ -n "${DEBUG_MK_SCRIPTS}" -o -n "${DEBUG_MK_SCRIPTS_DO_FETCH}" ] && set -x
set -u
# Global (used in more than one expansion)
apache_cluster="\
http://www.apache.org/dist \
http://archive.apache.org/dist \
http://ftp.twaren.net/Unix/Web/apache \
http://apache.mirror.uber.com.au \
http://apache.spd.co.il... | the_stack |
cd $HOME
rm -rf .ngrok2 > /dev/null 2>&1
cd $HOME/sneakphish
terminate(){
pingngrok=$(ps aux | grep -o "ngrok" | head -n1)
pingphp=$(ps aux | grep -o "php" | head -n1)
if [[ $pinggrok == *'ngrok'* ]]; then
pkill -f -2 ngrok > /dev/null 2>&1 ... | the_stack |
display_usage() {
echo
echo "Usage: $0"
echo " -h, --help Instructions"
echo " -n, --name Set username that does not require MFA"
echo " -p, --pw Set password that does not require MFA"
echo " -mfn, --mfa_user Set username that require MFA"
echo ... | the_stack |
# A tool to enumerate netblock CIDRs by querying RIRs & BGP ASN prefix lookups
# Currently queries: ARIN, RIPE NCC, APNIC, AfriNIC, LACNIC
#
# Queries are made for the Org name, network handles, org handles, customer handles,
# BGP prefixes, PoCs with target email domain, and 'notify' email address - used by
# some RIR... | the_stack |
set -ueo pipefail
ME=$(basename "$0")
DOCKER_IMAGE="docker.io/digitalocean/do-agent"
VERSION=${VERSION:-$(cat target/VERSION || true)}
VERSION_REGEX="[^\\d]${VERSION}[^\\d]"
PROJECT_ROOT="$(git rev-parse --show-toplevel)"
LOCAL_SPACES_DIR="$PROJECT_ROOT/remote"
SPACES_BUCKET_NAME="${SPACES_BUCKET_NAME:-}"
SPACES_REGI... | the_stack |
#------------------------------------------------------------------------------
# GEOS-Chem Global Chemical Transport Model !
#------------------------------------------------------------------------------
#BOP
#
# !MODULE: intTestCreate.sh
#
# !DESCRIPTION: Creates integration test ru... | the_stack |
#############################################################################
##
## Unit testing automation script
## Last updated on September 21, 2021
##
## This file is part of Logtalk <https://logtalk.org/>
## Copyright 1998-2021 Paulo Moura <pmoura@logtalk.org>
## SPDX-License-Identifier: Apache-2.0
... | the_stack |
# Copyright (c) 1999-2016 Philip Hands <phil@hands.com>
# 2013 Martin Kletzander <mkletzan@redhat.com>
# 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es>
# 2010 Eric Moret <eric.moret@gmail.com>
# 2009 Xr <xr@i-jeuxvideo.com>
# 2007 Justin Pry... | the_stack |
# This recipe does multi-style training of TDNN model
# local/chain/compare_wer_general.sh --rt03 tdnn7q_sp tdnn1a_aug
# System tdnn7q_sp tdnn1a_aug
# WER on train_dev(tg) 11.91 12.06
# WER on train_dev(fg) 10.99 10.92
# WER on eval2000(tg) 14.3 14.4
# WER on eval2000(fg) ... | the_stack |
#Declaring functions:
#our first function is a package installation function that utilizes an array to download all declared package names.
install_packages()
{
echo "Installing packages: ${@}"
apt-get update && apt-get install -y ${@}
if [ $? -eq 0 ]; then
echo "Packages successfully installed."
else
echo "Pa... | the_stack |
################################################################################
#
# WARNING: THIS SCRIPT IS UNSUPPORTED!
# USE AT YOUR OWN RISK
#
# DESCRIPTION:
#
# This script will create a liftover chain file that goes from b37 -> hg38
#
# EXAMPLE:
# ./createLiftoverChainFileForB37ToHg38.sh
#
# AUTHOR: Jonn Smith
... | the_stack |
set -e
# Go to the deploy path
if [ ! -d "/var/www/wordnet/production/releases" ]; then
echo "! ERROR: not set up."
echo "The directory '/var/www/wordnet/production/releases' does not exist on the server."
echo "You may need to run 'setup' first."
exit 15
fi
# Check releases path
if [ ! -d "/var/www/wordnet/p... | the_stack |
tupcurdir=$PWD
# Prefix PATH so the test cases run the local tup
PATH=$PWD/..:$PATH
export PATH
testname=`echo $0 | sed 's/\.\///; s/\.sh//'`
tuptestdir="tuptesttmp-$testname"
# tupos may be set already by test.sh - this is an optimization to
# avoid extra forks in win32
: ${tupos:=`uname -s`}
rm -rf $tuptestdir
mk... | the_stack |
########################################################################
#
# Linux on Hyper-V and Azure Test Code, ver. 1.0.0
# Copyright (c) Microsoft Corporation
#
# All rights reserved.
# Licensed under the Apache License, Version 2.0 (the ""License"");
# you may not use this file except in compliance with the Lice... | the_stack |
function ssh_public_key() {
echo -e "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAACAQDZBgLQts30PYXEMJnCU21QC+1ZE0Sv/Ry48Au3nYXn1KNoW/7C2qQ3KO2ZnpZRHCstFiU8QIlB9edi0cgcAoDWBkCiFBZEORxMvohWtrRQzf+x59o48lVjA/Fn7G+9hmavhLaDf6Qe7OhH8XUshNtnIQIUvNEWXKE75k32wUbuF8ibhJNpOOYKL4tVXK6IIKg6jR88BwGKPY/NZCl/HbhjnDJY0zCU1pZSprN6o/S953y/XXV... | the_stack |
set -ex
function usage() {
echo "Usage: ${0} <android repo path> <android-version> <robolectric-sub-version> <output directory>"
}
if [[ $# -ne 4 ]]; then
usage
exit 1
fi
buildRoot=$1
if [[ ! -d $buildRoot ]]; then
echo $buildRoot is not a directory
usage
exit 1
fi
if [[ -z "${SIGNING_PASSW... | the_stack |
set -eo pipefail
shopt -s expand_aliases
# initArch discovers the architecture for this system.
init_arch() {
ARCH=$(uname -m)
case $ARCH in
armv5*) ARCH="armv5";;
armv6*) ARCH="armv6";;
armv7*) ARCH="arm";;
aarch64) ARCH="arm64";;
x86) ARCH="386";;
x86_64) ARCH="amd64";;
i686) ARCH="38... | the_stack |
# ##################################################################
#
# Build binaries and create the udocker-englib tarball
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.ap... | the_stack |
#####################################################
# Execute the current hook,
# that in turn executes the hooks in the repo.
#
# Returns:
# 0 when successfully finished, 1 otherwise
#####################################################
process_git_hook() {
set_main_variables "$1" || return 1
shift 1
... | the_stack |
set -u
#define path
RCPROOT=`dirname $(readlink -f "$0")`/../..
# Command line args
echo "Command line arguments passed to build_rcp.sh: $*"
# Build Framework (BaseTools/OSWrappers) -- only makes sense to skip if doing an incremental build
bBuildFramework=true
bBuildFrameworkOnly=false
# Build HSA Profiler
bBuildHS... | the_stack |
# Copyright 2020 T-Mobile, USA, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in w... | the_stack |
set -e
# 初始化系统
function logprint() {
if [ $? != 0 ]; then
echo "$1"
exit
fi
}
# 安装前准备
## 系统环境检测
function syscheck() {
if [ "$(uname)" != Linux ]; then
echo "该脚本只使用 Linux 系统"
exit 1
fi
if [ "$UID" -ne 0 ]; then
echo "Must... | the_stack |
# List of usefull colors
COLOR_RESET="\033[0m"
COLOR_INFO="\033[0;32m"
COLOR_ITEM="\033[1;34m"
COLOR_QUES="\033[1;32m"
COLOR_WARN="\033[0;33m"
COLOR_BOLD="\033[1m"
COLOR_UNDE="\033[4m"
INSTALL_DEPS_PREFIX=/usr/local
COMMON_INSTALL_PREFIX=/usr
# Getting the current directory of this script
CURRENT_DIR="$( cd "$( dirna... | the_stack |
args=("$@")
script_name=$(basename $0)
script_dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
if ! source ${script_dir}/../lib.sh; then
echo "!! ERROR !! -- Could not load lib.sh!"
exit 155
fi
source_safe "${script_dir}/../conf.sh"
ssh_cmd="/usr/sbin/ssh -o UserKnownHostsFile=/dev/null -o StrictHost... | the_stack |
wget http://storage.googleapis.com/dm_cmtouch/datasets/cmtouch_touch_objects_ycb_all_im64_train.tfrecords
wget http://storage.googleapis.com/dm_cmtouch/datasets/cmtouch_touch_objects_ycb_all_im64_train10.tfrecords
wget http://storage.googleapis.com/dm_cmtouch/datasets/cmtouch_touch_objects_ycb_all_im64_train100.tfrecor... | the_stack |
export MONO_REPO_ROOT="$( cd "$( dirname "${BASH_SOURCE[0]}" )/../../" && pwd )"
export TESTCMD=${MONO_REPO_ROOT}/scripts/ci/run-step.sh
export TEST_HARNESS_VERBOSE=1
make_timeout=300m
if [[ ${CI_TAGS} == *'clang-sanitizer'* ]]; then
export CC="clang"
export CXX="clang++"
export CFLAGS="$CFLAGS -g -O1 -fsanitize=... | the_stack |
load "../lib/detik"
DETIK_CLIENT_NAME="mytest"
DETIK_CLIENT_NAMESPACE=""
mytest() {
# The namespace should not appear (it is set in 1st position)
[[ "$1" != "--namespace=test_ns" ]] || return 1
# Return the result
echo -e "NAME PROP\nnginx-deployment-75675f5897-6dg9r Running\nnginx-deployment-75675f5897-gstkw ... | the_stack |
# Tested succesfully with:
# set -euxo pipefail
shopt -s extglob
## ##
## Configuration
## ##
lib='@lib@'
version='@version@'
## ##
## Helper functions
## ##
trap 'exit "$exit_code"' SIGHUP
exit_code=0
pid=$$
exit_script() {
exit_code=$?
(( $# >= 1 )) && exit_code=$1
kill -SIGHUP -- "$pid"
}
exit_with_erro... | the_stack |
usage() {
cat <<EOF
Usage:
$(basename "$0") "/path/to/InstallESD.dmg" [/path/to/output/directory]
$(basename "$0") "/path/to/Install OS X [Mountain] Lion.app" [/path/to/output/directory]
Description:
Converts a 10.7/10.8 installer image to a new image that contains components
used to perform an automated installation... | the_stack |
disk_unmount_dir ( ) {
echo "Unmounting $1"
umount $1 || true
rmdir $1 || true
}
# $1 - md to release
disk_release_md ( ) {
echo "Releasing $1"
mdconfig -d -u $1 || true
}
_DISK_MDS="" # List of MDs to clean up
_DISK_MOUNTED_DIRS="" # List of things to be unmounted when we're done
disk_unmount_... | the_stack |
# Copyright (c) 2000, 2007 MySQL AB, 2009 Sun Microsystems, Inc.
# Use is subject to license terms.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; version 2
# of the License.
#
# This... | the_stack |
set -euo pipefail
IFS=$' '
# The MIT License (MIT)
# Copyright (c) 20201 - Vitor C. Piro - pirovc.github.io
# All rights reserved.
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without ... | the_stack |
# Disabled Suites
DISABLED_LIST="raja omptests"
# Available Suites - Qmcpack will timeout at 20 minutes
SUITE_LIST=${SUITE_LIST:-"ovo examples smoke smokefails hipopenmp omp5 openmpapps nekbone sollve kokkos llnl openlibm qmcpack usm"}
#Groups
GROUP_LIST="epsdb"
EPSDB_LIST=${EPSDB_LIST:-"examples smoke hipopenmp omp5... | the_stack |
exec 2>/tmp/monitor.log || true
set -x
# Online URL
URL_PREFIX="https://"
DOWNLOAD_URL="router.uu.163.com/api/plugin?type="
UNINSTALL_DOWNLOAD_URL="router.uu.163.com/api/script/uninstall?type="
ROUTER=""
MODEL=""
ASUSWRT_MERLIN="asuswrt-merlin"
XIAOMI="xiaomi"
HIWIFI="hiwifi"
OPENWRT="openwrt"
BASEDIR="$(cd "$(dirn... | the_stack |
SCRIPT_DIR=$(
cd "$(dirname "$0")"
pwd -P
)
if test $(id -u) -eq 0; then
sudo() {
$@
}
# don't call sudo under root for slim docker images
fi
RUST_TOOLCHAIN=${RUST_TOOLCHAIN:-$(cat rust-toolchain)}
echo "Rust toolchain is $RUST_TOOLCHAIN"
export CARGO_TARGET_DIR=${CARGO_TARGET_DIR:-./targe... | the_stack |
#
# Script for uploading the test project to Bitbar cloud as a Server side Appium test
#
# Requires the user's API key, device group name and test type (android or ios).
# Creates the test zip, uploads it to the set project and launches the test.
#
# @author lasse.hall@bitbar.com
#
function help() {
echo
echo ... | the_stack |
# Before creating compressed package complete this checklist (main points):
# * Patch the source code/package with any relevant materials.
# * Set the makefile to strip symbols.
# * Compile new 32/64-bit binaries and put them in their appropriate ./bin_unix location.
# * Delete all unnecessary files/folders.
# ** CHAN... | the_stack |
iVmName="vInstaller"
vVmName="voltha_voltha"
baseImage="Ubuntu1604LTS"
iVmNetwork="vagrant-libvirt"
installerArchive="installer.tar.bz2"
installerDirectory="volthaInstaller"
installerPart="installer.part"
shutdownTimeout=5
ipTimeout=10
# Command line argument variables
testMode="no"
rebuildVoltha="no"
useKubernetes="n... | the_stack |
#https://github.com/bkrem/make-toc.sh/blob/master/make-toc.sh
#https://gitlab.com/pedrolab/doctoc.sh/-/blob/master/doctoc.sh
_usage() {
printf "
Script to autogenerate markdown based on bash source code.\n
The script generates table of contents and bashdoc and update the given markdown file.\n
Usage:\n %s [options.... | the_stack |
# Copyright 2012-2014 Johns Hopkins University (Author: Daniel Povey). Apache 2.0.
#
# This is modified from ../../nnet2/get_egs2.sh. [note: get_egs2.sh is as get_egs.sh,
# but uses the newer, more compact way of writing egs. where we write multiple
# frames of labels in order to share the context.]
# This script com... | the_stack |
export SPARK_HOME=$SPARK_HOME
export MASTER=local[4]
export FTP_URI=$FTP_URI
export ANALYTICS_ZOO_ROOT=$ANALYTICS_ZOO_ROOT
export ANALYTICS_ZOO_HOME=$ANALYTICS_ZOO_ROOT/dist
export ANALYTICS_ZOO_JAR=`find ${ANALYTICS_ZOO_HOME}/lib -type f -name "analytics-zoo*jar-with-dependencies.jar"`
export ANALYTICS_ZOO_PYZIP=`find... | the_stack |
MODEL_PATH=$1
compile_mode=$2
NW_NAME="$(basename -- $MODEL_PATH)"
if [ $# != 2 ]; then echo "failed to parse Usage : <MODEL PATH> <compile mode>"; exit 1; fi
echo "NW_NAME : $NW_NAME"
echo "compliler mode : ${compile_mode}"
echo "PLATFORM = ${PLATFORM}"
# Log directory
mkdir output_logs/$NW_NAME
mkdir output_logs/$... | the_stack |
# List of functions
# Time functions
# - get_sum_from_array(array) : Compute sum of an array
# - get_date_from_cycle(cycle,startdate,dt) : Compute date from cycle and start date
# - get_timediff_dates(date1,date2) : Compute difference in days between two dates
# - is_leap_year(... | the_stack |
Describe "cli.sh"
Include ./cli.sh
xIt "exits when under test"
End
xIt "skips wizard and "
End
Describe "lokl_log()"
It "prints message to log file"
# mock date '+%H:%M:%S'
date() {
echo '22:33:44'
}
# clear log before test
echo '' > /tmp/lokldebuglog
... | the_stack |
cat > shutdown_tester.sh <<'EOF'
#!/bin/sh
# Test that a shutdown script can run for at least 100 seconds
PRIO="daemon.info"
echo "TestStatus: waiting 10 seconds (00/100)" | logger -p $PRIO; sleep 10
echo "TestStatus: waiting 10 seconds (10/100)" | logger -p $PRIO; sleep 10
echo "TestStatus: waiting 10 seconds (20/... | the_stack |
start=$(date +%s)
url=$1
cd "$url"
dir=hackintosh_Plugins
if [ ! -e $dir ]; then
mkdir -p $dir/Release
mkdir -p $dir/Sources
fi
cd "$dir/Sources"
proxy=$3
if [ $proxy!='' ]; then
export http_proxy=$proxy
export https_proxy=$proxy
fi
path=$5
echo -e "正在检测编译环境完整性:\n"
################# mtoc ##################
e... | the_stack |
set -e;
echo -e \
"\n###########################################################
#
# K CLOSEST HITS TESTS
#
###########################################################\n"
BT=${BT-../../../bin/bedtools}
FAILURES=0;
check()
{
if diff $1 $2; then
echo ok
else
FAILURES=$(expr $FAILURES + 1);
echo fail
... | the_stack |
*/
mkdir -p "$STATIC/XFILES/Applications"
ln -sf "$STATIC/home/XFILES/Applications/KML" "$STATIC/XFILES/Applications/KML"
mkdir -p "$STATIC/XFILES/Applications"
ln -sf "$STATIC/home/XFILES/Applications/XMLSchemaWizard" "$STATIC/XFILES/Applications/XMLSchemaWizard"
mkdir -p "$STATIC/XFILES/Frameworks"
ln -sf "$STATIC... | the_stack |
set -e
HEADER_FILE="dbcommon/function/func-kind.cg.h"
CMDNAME=`basename $0`
TMP_FILE='hawq_funcoid_mapping_tmp'
INPUT_FILE=$1
OUTPUT_FILE=$2
map_type_hawq+=(BOOL INT2 INT4 INT8 FLOAT4 FLOAT8 TEXT DATE TIME BPCHAR BYTEA TIMESTAMP TID NUMERIC)
map_type_hornet+=(BOOLEAN SMALLINT INT BIGINT FLOAT DOUBLE STRING DATE TIME B... | the_stack |
####### error code specification #########
# Please update this documentation if new error code is added.
# 1 => reserved for script error
# 2 => bad usage
# 3 => bad user
# 4 => service start failed
# 5 => preload.sh check failed
# 6 => hsf online failed
# 7 => nginx start failed
# 8 => status.taobao... | the_stack |
# 注意: CentOS 7这个脚本默认使用了MySQL的开源替代品mariadb
# 如果要切换会MySQL请自行安装并去除下面脚本内的安装的mariadb-server mariadb软件包
WORKING_DIR="$PWD";
ARCH_FLAG=$(getconf LONG_BIT);
PHP_CONF_FILE_PATH=/etc/php.ini
PHP_CONF_DIR_PATH=/etc/php.d
PHP_FPM_CONF_FILE_PATH=/etc/php-fpm.d/www.conf
PHP_CACHE_DIR_PATH=/tmp/php/cache
PHP_EXT_LOG_DIR_PATH=/var/... | the_stack |
#####################################################################################
# ADS-B RECEIVER #
#####################################################################################
# ... | the_stack |
# Copyright (c) 2000, 2007 MySQL AB, 2009 Sun Microsystems, Inc.
# Use is subject to license terms.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; version 2
# of the License.
#
# This... | the_stack |
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to ... | the_stack |
set -ex
#
# This is from tests/libtest/Makefile.inc
# Less tedious than making an Xcode target for each item.
#
DEST_DIR="$TEMP_DIR"/libtest
CURL_INCLUDE="$PROJECT_DIR"/curl/include
LIB_DIR="$PROJECT_DIR"/curl/lib
LIBTEST_DIR="$PROJECT_DIR"/curl/tests/libtest
CC="cc -DHAVE_CONFIG_H -I${CURL_INCLUDE} -iquote${LIB_DIR... | the_stack |
set -euo pipefail
# Copyright 2018 Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required b... | the_stack |
set -e
OLDPATH=$(pwd)
ACTION_COLOR=$(tput smso)
RESET_COLOR=$(tput sgr0)
function join_by { local IFS="$1"; shift; echo "$*"; }
# Build config like this:
# - configs/base
# - alphabetical: SKIFF_CONFIG_PATH/buildroot/config
# Merge them together, tell buildroot to use it as a defconfig
# Also merges kernel defconfig... | the_stack |
#####################################################################################
# ADS-B EXCHANGE SETUP SCRIPT #
#####################################################################################
# # # # # # # # # # # # # # # # # # # # # # # # # # # # # # # ... | the_stack |
# hk Autocomplete plugin for Oh-My-Zsh. To install it, drop this plugin into a
# file called `_hk` within /usr/local/share/zsh/site-functions or another
# directory in your $fpath.
#
# You'll also need to enable compinit. Oh-my-zsh does this for you by default:
# https://github.com/robbyrussell/oh-my-zsh/blob/master/oh... | the_stack |
############################################################
#
# bats-support - Supporting library for Bats test helpers
#
# Written in 2016 by Zoltan Tombol <zoltan dot tombol at gmail dot com>
#
# To the extent possible under law, the author(s) have dedicated all
# copyright and related and neighboring rights to this... | the_stack |
export CLIENT_HOME=/usr/lib/oracle/current/client64
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:$CLIENT_HOME/lib
export PATH=$PATH:$CLIENT_HOME/bin
# App dir
export TNS_ADMIN=$HOME/ADWCUSG
export APPDIR=$HOME/usage_reports_to_adw
export CREDFILE=$APPDIR/config.user
cd $APPDIR
# Mail Info
export DATE_PRINT="`date '+%d-%... | the_stack |
# shellcheck disable=SC2154
source ./cookie
my_target="myTarget"
my_template="myTemplate"
tmpdir=/tmp/foodir
tmpdir2=/tmp/bardir
foobar=/tmp/foobar
foobaz=/tmp/foobaz
fake_temp=cookie.tmp
setUp() {
echo "Fake Template" > /tmp/"${fake_temp}"
mkdir -p "${tmpdir}" &> /dev/null
mkdir -p "${tmpdir2}" &> /dev... | the_stack |
function clean_homework {
# which assignment to cleanup
semester=$1
course=$2
assignment=$3
course_dir=$SUBMITTY_DATA_DIR/courses/$semester/$course
echo "clean old build: $course_dir $3"
# cleanup all files associated with this assignment
rm -rf $course_dir/test_input/${3}
rm -rf ... | the_stack |
set -e
ACTION=${1}
USERNAME=${2}
PASSWORD=${3}
URL=${4}
REALM=${5}
REDIRECTURL=${6}
##################################################
# Authenticate to Keycloak and retreive session token
##################################################
TOKEN=$(http --pretty=none --form POST \
"${URL}/auth/realms/master/protocol... | the_stack |
set -eu
selected_dynakube="dynakube"
selected_namespace="dynatrace"
cli="kubectl"
default_oneagent_image="docker.io/dynatrace/oneagent"
missing_value="<no value>"
api_url=""
paas_token=""
log_section=""
function usage {
echo "Usage: $(basename "${0}") [options]" 2>&1
echo " [ -d | --dynakube DYNAKUBE ] Spec... | the_stack |
SCRIPT=$(readlink -f "$0") && cd $(dirname "$SCRIPT")
# --- Script Init ---
mkdir -p log
rm -R -f log/*
# --- Setup run dirs ---
find output -type f -not -name '*summary-info*' -not -name '*.json' -exec rm -R -f {} +
mkdir output/full_correlation/
rm -R -f fifo/*
mkdir fifo/full_correlation/
rm -R -f work/*
mkdir ... | the_stack |
# ===================================================================================
# usage: create_linux_system.sh [sdcard_device]
#
# positional arguments:
# sdcard_device path to sdcard device file [ex: "/dev/sdb", "/dev/mmcblk0"]
# ========================================================================... | the_stack |
machine_name="hwx-machine"
# Image name variables
registry_image="schema-registry"
kdc_image="docker-kdc:0.1"
mysql_image="mysql:5.7"
oracle_image="oracle-hwx-xe-12c:0.1"
postgres_image="postgres:10"
kafka_image="apache-kafka:1.0.0"
minimal_ubuntu_image="minimal-ubuntu:0.1"
# Container name variables
mysql_container_... | the_stack |
if test $# -ne 3; then
echo "Usage:"
echo "./$2.sh <database name> <table name> <hostname predicate value>"
echo "e.g. ./$2.sh DATABASE_NAME TABLE_NAME host-ewIqi"
exit -1
fi
# 1. Find the average, p90, p95, and p99 CPU utilization for a specific EC2 host over the past 2 hours.
go run query-common.go q... | the_stack |
# print usage and check number of arguments passed
if [ "$#" -lt 7 ]; then
echo "Incorrect number of arguments $#, expecting 7:"
echo "$0 with arguments: "
echo " 1. MASTER_PUBLIC_DNS"
echo " 2. STANDALONE_ETCDS_PRIVATE_DNS"
echo " 3. PBENCH_COLLECTION_INTERVAL"
echo " 4. PBENCH_RESULTS_DIR_NAME"
... | the_stack |
# exit on any error
set -e
function usage() {
echo 'build-conda-installer.sh
Build a conda based based windows application installer.
Note: This script needs makensis and curl on $PATH
Note: Needs basic bash env on Windows (git-bash is sufficient/tested, but
cygwin should work too)
Options:
-b --build... | the_stack |
# === HEAVY LIFTING ===
shopt -s extglob extquote
# NOTE: Todo.sh requires the .todo/config configuration file to run.
# Place the .todo/config file in your home directory or use the -d option for a custom location.
[ -f VERSION-FILE ] && . VERSION-FILE || VERSION="2.9"
version() {
cat <<-EndVersion
TODO.TXT C... | the_stack |
# shellcheck disable=SC1091
set -e
set -o pipefail
# version consts
DOCKER_CE_VERSION_DEBIAN=18.09.2
# consts
DOCKER_CE_PACKAGE_DEBIAN="docker-ce=5:${DOCKER_CE_VERSION_DEBIAN}~3-0~"
SHIPYARD_VAR_DIR=/var/batch-shipyard
SHIPYARD_CONF_FILE=${SHIPYARD_VAR_DIR}/federation.json
log() {
local level=$1
shift
e... | the_stack |
SCRIPT_DIR="$( cd "$(dirname "$0")" || exit 1 ; pwd -P )"
cd "${SCRIPT_DIR}" || exit 1
# shellcheck source=settings.sh
. "${SCRIPT_DIR}/settings.sh"
if [ -z "${NCCL_RDMA_SHARP_PLUGINS_DIR}" ]
then
echo "ERROR: NCCL_RDMA_SHARP_PLUGINS_DIR is not defined"
echo "FAIL"
exit 1
fi
export LD_LIBRARY_PATH="${NCCL... | the_stack |
base_dir=$(cd $(dirname $0); pwd)
# HackGen Generator
hackgen_version="2.5.2"
# Set familyname
familyname_preffix="$1"
hackgen_familyname=${familyname_preffix}"HackGen"
hackgen_familyname_suffix=""
hackgen35_familyname=${hackgen_familyname}"35"
hackgen35_familyname_suffix=""
hackgen_console_suffix="Console"
hackgen_ev... | the_stack |
# This script does 3 things:
# 1) Initialize the MongoDB cluster.
# 2) Create the admin user.
# 3) Tell the firecamp manage server to set MongoDB service initialized.
# could not "set -e", which will exit if any command fails.
# The task may end at any time. For example, node crashes before set service initialized.
# ... | the_stack |
set -e
# Usage:
# curl ... | ENV_VAR=... sh -
# or
# ENV_VAR=... ./install.sh
#
# Example:
# Directory to installing StreamPipes binary (needs sudo)
# curl ... | INSTALL_SP_BIN_DIR="/usr/local/bin" sh -
#
# Environment variables:
#
# - INSTALL_SP_BIN_DIR
# Directory to install StreamPipes binary
# ... | the_stack |
####################################################################################################
# Name: Autodesk Fusion 360 - Setup Wizard (Linux) #
# Description: With this file you can install Autodesk Fusion 360 on Linux. #
# Author: S... | the_stack |
# shared functions library
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
function pause(){
read -p "$*"
}
function check_iso_offline_setting() {
# check if offline setting is present in setting files
# master
check=$(cat ~/kube-cluster/settings/k8smaster-01.toml | grep "offline" )
if [[ "${check}" = "... | the_stack |
bsc_create_buffer(){
# Try to use SHM, then $TMPDIR, then /tmp
if [ -d "/dev/shm" ]; then
BUFFER_DIR="/dev/shm"
elif [ -n "$TMPDIR" ]; then
BUFFER_DIR="$TMPDIR"
else
BUFFER_DIR="/tmp"
fi
local buffername
[[ "$1" != "" ]] && buffername=$1 || buffername="bashsimplecur... | the_stack |
WebDir='/store/group/dpg_hcal/comm_hcal/www/HcalRemoteMonitoring'
WebSite='https://cms-conddb.cern.ch/eosweb/hcal/HcalRemoteMonitoring'
HistoDir='/store/group/dpg_hcal/comm_hcal/www/HcalRemoteMonitoring/CMT/histos'
eos='/afs/cern.ch/project/eos/installation/0.3.15/bin/eos.select'
# print usage info
if [[ "$1" == "" ]]... | the_stack |
#####
# Build vars
BUILD_TYPE="Release"
ARCH=$(uname -i)
PROC_NUM=$(nproc)
# Default GCC
GCC_COMPILER="g++"
#####
# Directories
# WORKING_DIR must correspond to MMDeploy root dir
WORKING_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )/../.." && pwd )"
PPLCV_DIR=${WORKING_DIR}/ppl.cv
MMDEPLOY_DIR=${WORKING_DIR}
#####
# V... | the_stack |
clear
##################
YELLOW="\e[1;33m"
GREEN="\e[1;32m"
RED="\e[1;31m"
BLUE="\e[1;34m"
PINK="\e[0;35m"
RES="\e[0m"
##################
echo -e "\n${GREEN}部分系统没相应的架构包,可能会导致下载不成功d(ŐдŐ๑)
${BLUE}手上资源有限,无法每个架构都通过测试(>﹏<)${RES}\n"
##################
ARCH_(){
case $(dpkg --pr... | the_stack |
setup_file() {
# locate taco source folder
SRCDIR=${CMAKE_SOURCE_DIR}
if [ x"${SRCDIR}" = x ]; then
SRCDIR=$(dirname $0)/../../../..
fi
export SRCDIR
# locate built taco executable
TACO="${CMAKE_BUILD_DIR}/bin/taco"
if [ ! -x "$TACO" ]; then
TACO=`pwd`/../bin/taco
fi
if [ ! -x "$TACO" ]; th... | the_stack |
db=hg38
GENCODE_VERSION=V35
dir=/hive/data/genomes/$db/bed/gencode$GENCODE_VERSION/build
genomes=/hive/data/genomes
tempDb=knownGeneV35
kent=$HOME/kent
spDb=sp180404
cpuFarm=ku
export curVer=13
export Db=Hg38
export xdb=mm10
export Xdb=Mm10
export ydb=canFam3
export zdb=rheMac8
export ratDb=rn6
export RatDb=Rn6
export ... | the_stack |
set -e
die() {
println "$@" 1>&2
exit 1
}
datagen() {
"$DATAGEN_BIN" "$@"
}
zstd() {
if [ -z "$EXEC_PREFIX" ]; then
"$ZSTD_BIN" "$@"
else
"$EXEC_PREFIX" "$ZSTD_BIN" "$@"
fi
}
sudoZstd() {
if [ -z "$EXEC_PREFIX" ]; then
sudo "$ZSTD_BIN" "$@"
else
sudo "... | the_stack |
############
# Navigation
############
set_dirs() {
# LITERALINCLUDE set_dirs START
export PUBDIR="$(pwd)/public"
mkdir -p $PUBDIR
export KEYDIR="$(pwd)/keys"
mkdir -p $KEYDIR
# LITERALINCLUDE set_dirs END
}
export_paths() {
# LITERALINCLUDE export_paths START
# Dir that holds the certificates.
... | the_stack |
test_container_devices_proxy() {
container_devices_proxy_validation
container_devices_proxy_tcp
container_devices_proxy_tcp_unix
container_devices_proxy_tcp_udp
container_devices_proxy_udp
container_devices_proxy_unix
container_devices_proxy_unix_udp
container_devices_proxy_unix_tcp
}
container_devices... | the_stack |
iSSH_ROOT_DIR=`cat ~/.issh/rootdir`
iSSH_REMOTE_IP="$HOME/.issh/remote-ip"
iSSH_REMOTE_PORT="$HOME/.issh/remote-port"
REMOTE_IP="localhost"
REMOTE_PORT="2222"
function iSSHILOG(){
echo -e "\033[32m[*]:$1 \033[0m"
}
function iSSHELOG(){
echo -e "\033[31m[-]:$1 \033[0m"
}
function iSSHDLOG(){
ec... | the_stack |
TARGET_PID=
SELECT_VALUE=${arthasIdeaPluginApplicationName}
#arthas package zip download url = https://arthas.aliyun.com/download/latest_version?mirror=aliyun
ARTHAS_PACKAGE_ZIP_DOWNLOAD_URL="${arthasPackageZipDownloadUrl}"
#执行中获取到的hashvalue的变量
CLASSLOADER_HASH_VALUE=
#sc -d 命令
SC_COMMAND="${SC_COMMAND}"
#base64 文件地址... | the_stack |
# Copyright (c) 2016 Ericsson AB
#
# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distrib... | the_stack |
# bash commands to analyze list of folders
# find `find . -name 'N50_*' -print`/ | grep maxAngErr.txt | xargs cat
# find `find . -name 'N50_*' -print`/ | grep maxAngErr.txt | xargs cat > results/N50maxang.dat
# find `find . -name 'N50_*' -print`/ | grep meanAngErr.txt | xargs cat > results/N50meanang.dat
find ... | the_stack |
#
# Script to help manage storage system outside of ViPR.
# Used to perform various operations.
#
# Usage: ./symhelper.sh verify-export <SERIAL_NUMBER> <NAME_PATTERN> <NUMBER_OF_INITIATORS_EXPECTED> <NUMBER_OF_LUNS_EXPECTED>
# ./symhelper.sh add_volume_to_mask <SERIAL_NUMBER> <DEVICE_ID> <NAME_PATTERN>
# ... | the_stack |
set -e
set -x
STACK=${STACK:-'full'}
DBHOST=${DBHOST:-'127.0.0.1'}
DBPORT=${DBPORT:-'3306'}
DBNAME=${DBNAME:-'seccubus'}
DBUSER=${DBUSER:-'seccubus'}
DBPASS=${DBPASS:-'seccubus'}
TLS=${TLS:-'yes'}
BUILDSTACK="%BUILDSTACK%"
if [[ "$BUILDSTACK" != "full" ]]; then
STACK="$BUILDSTACK"
fi
echo "Seccubus setup"
echo ... | the_stack |
# Autoupdater based on https://stackoverflow.com/a/44528451/3791371
set -fb
CURRENT_PWD=$(cd "$(dirname "$0")" ; pwd)
CURRENT_NAME=$(basename "$0")
KUPIKI_UPDATER_URL="https://raw.githubusercontent.com/pihomeserver/Kupiki-Hotspot-Script/master/kupiki_updater.sh"
EXISTING_SHELL_SCRIPT="${CURRENT_PWD}/kupiki_updater.sh"... | the_stack |
# The "promrun" script runs and monitors a specified command
# "promrun" is a wrapper around the GNU 'time' command and principally
# returns statistics generated by 'time'
# Author: MesaGuy (https://github.com/mesaguy)
# Documentation: https://github.com/mesaguy/ansible-prometheus/blob/master/docs/promrun.md
# Sourc... | the_stack |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.